package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 试剂耗材库存
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:05
 * @describe 试剂耗材库存 实体类
 */
@Data
@TableName(value = "reagent_consumable_inventory", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "试剂耗材库存")
public class ReagentConsumableInventory extends BaseEntity {

    /**
     * (指导书ID)
     */
    @ApiModelProperty(value = "(指导书ID)")
    private String instructionBookId;

    /**
     * (试剂耗材Id)
     */
    @ApiModelProperty(value = "(试剂耗材Id)")
    private String reagentConsumableId;

    /**
     * (总数量)
     */
    @ApiModelProperty(value = "(总数量)")
    private Integer totalQuantity;

    /**
     * reagentConsumableInventoryId
     */
    @TableId(value = "reagent_consumable_inventory_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "reagentConsumableInventoryId")
    private String reagentConsumableInventoryId;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;


    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private Integer status;

    /**
     * (预警值)
     */
    @ApiModelProperty(value = "(预警值)")
    private Integer warningValue;

    /**
     * (预警信息)
     */
    @ApiModelProperty(value = "(预警信息)")
    private String warningInformation;

}
