package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.reagent.entity.ReagentConsumableInventory;
import digital.laboratory.platform.reagent.entity.ReferenceMaterial;
import digital.laboratory.platform.reagent.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;

import java.util.List;

/**
 * 试剂耗材库存 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 试剂耗材库存 Mapper 类
 */
@Mapper
public interface ReagentConsumableInventoryMapper extends BaseMapper<ReagentConsumableInventory> {

    IPage<ReagentConsumableInventoryVO> getReagentConsumableInventoryVOPage(IPage<ReagentConsumableInventory> page, @Param("warning") Integer warning, @Param("keywords") String keywords, @Param("reagentCategory") Integer reagentCategory);

    IPage<ReagentConsumableInventoryFullVO> getReagentConsumableInventoryFullVOPage(IPage<ReagentConsumableInventory> page, @Param(Constants.WRAPPER) QueryWrapper<ReagentConsumableInventory> qw);

    IPage<ReagentConsumableInventoryFullVO> getFullVOPage(IPage<ReagentConsumableInventory> page, @Param("name") String name, @Param("category") String category);

    List<UserVO> getUserList();

    List<OrgVO> getOrgList();


    IPage<ReferenceMaterialFullVO> getReferenceMaterialPage(IPage<ReagentConsumableInventory> page, @Param("status") Integer status, @Param("reagentConsumableName") String reagentConsumableName);


    IPage<ReagentConsumableInventoryFullVO> getReagentConsumablePage(IPage<ReagentConsumableInventory> page, @Param("name") String name);

    List<ReagentConsumableInventoryFullVO> getReagentConsumableList();

    List<ReagentConsumableInventoryVO> getRciListByCategory(List<String> list);

    IPage<ReagentConsumableInventoryVO> getRemListById();//标准物质

    IPage<ReagentConsumableInventoryVO> getRmListById();//试剂耗材

    String getCellName(String id);

    ReagentConsumableInventoryVO getRciById(@Param("reagentConsumableInventoryId") String reagentConsumableInventoryId, @Param("reagentConsumableId") String reagentConsumableId);
}
