package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.reagent.entity.DecentralizedRequest;
import digital.laboratory.platform.reagent.entity.DetailsOfCentralized;
import digital.laboratory.platform.reagent.entity.ReagentConsumables;
import digital.laboratory.platform.reagent.mapper.DetailsOfCentralizedMapper;
import digital.laboratory.platform.reagent.service.CentralizedRequestService;
import digital.laboratory.platform.reagent.service.DecentralizedRequestService;
import digital.laboratory.platform.reagent.service.DetailsOfCentralizedService;
import digital.laboratory.platform.reagent.service.ReagentConsumablesService;
import digital.laboratory.platform.reagent.vo.CentralizedRequestVO;
import digital.laboratory.platform.reagent.vo.DecentralizedRequestVO;
import digital.laboratory.platform.reagent.vo.DetailsOfCentralizedVO;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * (集中采购申请明细)服务实现类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (集中采购申请明细) 服务实现类
 */
@Service
public class DetailsOfCentralizedServiceImpl extends ServiceImpl<DetailsOfCentralizedMapper, DetailsOfCentralized> implements DetailsOfCentralizedService {
    @Autowired
    private ReagentConsumablesService reagentConsumablesService;

    @Override
    public List<DetailsOfCentralizedVO> getDetailsOfCentralizedVOList(String centralizedRequestId) {
        List<DetailsOfCentralizedVO> list = baseMapper.getDetailsOfCentralizedVOList(centralizedRequestId);
        for (DetailsOfCentralizedVO detailsOfCentralizedVO : list) {
            ReagentConsumables reagentConsumables = reagentConsumablesService.getById(detailsOfCentralizedVO.getReagentConsumableId());
            detailsOfCentralizedVO.setBrand(reagentConsumables.getBrand());
            detailsOfCentralizedVO.setCategory(reagentConsumables.getCategory());
            detailsOfCentralizedVO.setSpecificationAndModel(reagentConsumables.getSpecificationAndModel());
        }
        return list;
    }
    @Override
    public List<DetailsOfCentralizedVO> getDetailsOfCentralizedList(String procurementContentId) {
        return baseMapper.getDetailsOfCentralizedVOPlanList(procurementContentId);
    }
}
