package digital.laboratory.platform.reagent.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import digital.laboratory.platform.reagent.entity.ReagentConsumableInventory;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "库存信息VO")
public class ReagentConsumableInventoryVO extends ReagentConsumableInventory {

    @ApiModelProperty(value="批次信息数组")
    List<BatchDetailsVO> batchDetailsVOS;


    @ApiModelProperty(value="是否有指导书")
    private boolean instructionBook;

    @ApiModelProperty(value="房间号")
    private String  roomNo;

    @ApiModelProperty(value="纯度等级")
    private String purityGrade;
    /**
     * 品牌
     */
    @ApiModelProperty(value="品牌")
    private String brand;

    @ApiModelProperty(value = "CAS-号")
    private String casNumber;

    @ApiModelProperty(value = "物品编码")
    private String code;
    /**
     * 类别
     */
    @ApiModelProperty(value="类别")
    private String category;

    /**
     * 偏差/不确定度
     */
    @ApiModelProperty(value="偏差/不确定度")
    private String deviationOrUncertainty;

    /**
     * 名称
     */
    @ApiModelProperty(value="名称")
    private String reagentConsumableName;

    /**
     * 种类
     */
    @ApiModelProperty(value="种类")
    private String species;

    /**
     * 英文名
     */
    @ApiModelProperty(value="英文名")
    private String englishName;

    /**
     * 规格型号
     */
    @ApiModelProperty(value="规格型号")
    private String specificationAndModel;
    /**
     * 包装份数
     */
    @ApiModelProperty(value="包装份数")
    private Integer packagedCopies;
    /**
     * (标准值/纯度)
     */
    @ApiModelProperty(value="(标准值/纯度)")
    private String standardValueOrPurity;

    /**
     * (技术参数)
     */
    @ApiModelProperty(value="(技术参数)")
    private String technicalParameter;

    /**
     * 单价
     */
    @ApiModelProperty(value="单价")
    private Double unitPrice;

    /**
     * 别名
     */
    @ApiModelProperty(value="别名")
    private String  alias;

    /**
     * 存储条件
     */
    @ApiModelProperty(value="存储条件")
    private String  storageCondition;

    /**
     * 备注
     */
    @ApiModelProperty(value="备注")
    private String  remark;
    /**
     * 包装单位
     */
    @ApiModelProperty(value="包装单位")
    private String  minimumUnit;
    /**
     * 溶液浓度
     */
    @ApiModelProperty(value="溶液浓度")
    private double  configurationConcentration;

    @ApiModelProperty(value = "存储期限")
    private Integer storageLife;




}
